# $Id: kdeutils.spec,v 1.30 2004/04/07 20:14:34 rexdieter Exp $

%define kdelibs_ver 6:%{version}
%define kdebase_ver 6:%{version}
%define monolithic 1
%define is_release 1

Summary: K Desktop Environment - Utilities
Name: 	 kdeutils
Group:	 Applications/System
Epoch:	 6
Version: 3.2.2
Release: 0.fdr.1%{?dist_tag}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.2/src/kdeutils-3.2.2.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: kdelibs >= %{kdelibs_ver}
# Why do we need this again?  Removing for now -- Rex
# Requires: kdebase >= %{kdebase_ver}

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}

#Patch0: kde-libtool.patch
Patch2: kdeutils-3.0.2-kdf-label.patch


# http://bugs.kde.org/show_bug.cgi?id=79713
Patch1000: kdeutils-3.2.2-79713.patch

%if "%{?monolithic}" == "1"
Obsoletes: ark < %{epoch}:%{version}-%{release}
Obsoletes: kcalc < %{epoch}:%{version}-%{release}
Obsoletes: kcharselect < %{epoch}:%{version}-%{release}
Obsoletes: kdepasswd < %{epoch}:%{version}-%{release}
Obsoletes: kdessh < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-laptop < %{epoch}:%{version}-%{release}
Obsoletes: kdf < %{epoch}:%{version}-%{release}
Obsoletes: kedit < %{epoch}:%{version}-%{release}
Obsoletes: kfloppy < %{epoch}:%{version}-%{release}
Obsoletes: kgpg < %{epoch}:%{version}-%{release}
Obsoletes: khexedit < %{epoch}:%{version}-%{release}
Obsoletes: kjots < %{epoch}:%{version}-%{release}
Obsoletes: kljettool < %{epoch}:%{version}-%{release}
Obsoletes: klpq < %{epoch}:%{version}-%{release}
Obsoletes: klprfax < %{epoch}:%{version}-%{release}
Obsoletes: kregexpeditor < %{epoch}:%{version}-%{release}
#Hack for previously broken package
Obsoletes: kregexpeditor-devel < %{epoch}:%{version}-%{release}
Obsoletes: ktimer < %{epoch}:%{version}-%{release}

Provides: ark = %{epoch}:%{version}-%{release}
Provides: kcalc = %{epoch}:%{version}-%{release}
Provides: kcharselect = %{epoch}:%{version}-%{release}
Provides: kdepasswd = %{epoch}:%{version}-%{release}
Provides: kdessh = %{epoch}:%{version}-%{release}
Provides: %{name}-laptop = %{epoch}:%{version}-%{release}
Provides: kdf = %{epoch}:%{version}-%{release}
Provides: kedit = %{epoch}:%{version}-%{release}
Provides: kfloppy = %{epoch}:%{version}-%{release}
Provides: kgpg = %{epoch}:%{version}-%{release}
Provides: khexedit = %{epoch}:%{version}-%{release}
Provides: kjots = %{epoch}:%{version}-%{release}
Provides: kregexpeditor = %{epoch}:%{version}-%{release}
Provides: ktimer = %{epoch}:%{version}-%{release}
%endif

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal
time tracker); kcalc (scientific calculator); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klipper (clipboard tool); knotes (post-it notes for the desktop); kpm
(process manager similar to 'top', but more advanced) 

%package devel
Summary: Development files for kdeutils
Group:	 Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_ver}
Obsoletes: kregexpeditor-devel < %{epoch}:%{version}-%{release}
Provides: kregexpeditor-devel = %{epoch}:%{version}-%{release}
%description devel
Development files for kdeutils. Install kdeutils-devel if you wish
to develop or compile KDE utils applications.

%package -n ark
Summary: GUI frontend for handling archive files
Group:	 Applications/Archiving
Requires: zip unzip tar
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n ark
Ark is a KDE tool for handling archive files.
It supports the following file formats:
  zip
  plain tar and tar with compressors lzop, gzip, bzip2, bzip, compress
  lha
  zoo
  single files compressed with compressors lzop, gzip, bzip2, bzip, compress
  rar
  ar

%package -n kcalc
Summary: KDE pocket calculator
Group:	 Applications/Engineering
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kcalc
A KDE pocket calculator.

%package -n kcharselect
Summary: Character Selector
Group:	 User Interface/Desktops
Requires: kdebase >= %{kdebase_ver} 
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kcharselect
KDE Character Selector - allows you to enter characters not found on your
keyboard.

%package -n kdepasswd
Summary: KDE frontend to changing your password
Group:	 User Interface/Desktops
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kdepasswd
KDE frontend to changing your password and other user data.

%package -n kdessh
Summary: KDE frontend to ssh
Group:	 Applications/Internet
Requires: openssh-clients
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kdessh
KDE frontend to ssh (Secure Shell, an application to remotely control a
different Linux or Linux-like system securely).

%package -n kdf
Summary: Application and KDE applet to monitor available diskspace
Group:	 Applications/System
Requires: kdebase >= %{kdebase_ver} 
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kdf
kdeutils-kdf contains the kdf, kwikdisk and kcmdf tools for monitoring
available diskspace.

%package -n kedit
Summary: An easy to use text editor
Group:	 Applications/Editors
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kedit
An easy to use text editor

%package -n kfloppy
Summary: Floppy disk formatter
Group:	 Applications/System
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kfloppy
KFloppy formats floppy disks and creates ext2 or DOS filesystems on them.

%package -n khexedit
Summary: Hex editor
Group: Applications/Editors
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n khexedit
A KDE hex editor. It allows you to edit binary files.

%package -n kjots
Summary: Virtual notepad
Group: User Interface/Desktops
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kjots
KJots is a virtual notepad - you can put notes on your desktop.

%package laptop
Summary: Laptop utilities for KDE
Group: User Interface/Desktops
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description laptop
Various laptop-related utilities for KDE.
kdeutils-laptop adds battery monitoring to kicker (the KDE panel) and allows
you to manage power management and PCMCIA cards from the KDE control center.

%package -n kregexpeditor
Summary: Regular Expressions Editor
Group: Applications/System
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n kregexpeditor
A Regular Expressions Editor.

%package -n kregexpeditor-devel
Summary: Development files for kregexpeditor
Group: Development/Libraries
Obsoletes: %{name}-devel < %{epoch}:%{version}-%{release}
%description -n kregexpeditor-devel
Development files for kregexpeditor

%package -n ktimer
Summary: A timer (stop watch).
Group: User Interface/Desktops
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
%description -n ktimer
A timer (stop watch).


%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch2 -p1 -b .label

%patch1000 -p1 -b .79713

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

#make -C kfloppy #  kfloppy not smp'able
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n ark -p /sbin/ldconfig
%postun -n ark -p /sbin/ldconfig


%if "%{?monolithic}" == "1"
%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.la
%{_libdir}/*.so.??*
%{_libdir}/*.so
%{_datadir}/icons/*/*/*/*
%{_datadir}/apps/*
%config %{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applications/kde/*
%{_datadir}/autostart/*

%else

%files -n ark
%defattr(-,root,root)
%{_bindir}/ark
%{_datadir}/applications/kde/*ark.desktop
%{_datadir}/apps/ark
%{_datadir}/apps/konqueror/servicemenus/ark*.desktop
%{_datadir}/icons/*/*/*/ark.png
%{_datadir}/services/ark*.desktop
%lang(en) %doc %{_docdir}/HTML/en/ark

%files -n kcalc
%defattr(-,root,root)
%{_bindir}/kcalc
%{_datadir}/applications/kde/*kcalc.desktop
%{_datadir}/apps/kcalc
%{_datadir}/icons/*/*/*/kcalc.png
%lang(en) %doc %{_docdir}/HTML/en/kcalc

%files -n kcharselect
%defattr(-,root,root)
%{_bindir}/kcharselect
%{_datadir}/applications/kde/*KCharSelect.desktop
%{_datadir}/apps/kicker/applets/kcharselect*.desktop
%{_datadir}/icons/*/*/*/kcharselect.png
%{_libdir}/kde3/kcharselect*.*
%lang(en) %doc %{_docdir}/HTML/en/kcharselect

%files -n kdepasswd
%defattr(-,root,root)
%{_bindir}/kdepasswd
%{_datadir}/applications/kde/*kdepasswd.desktop

%files -n kdessh
%defattr(-,root,root)
%{_bindir}/kdessh

%files -n kdf
%defattr(-,root,root)
%{_bindir}/kdf
%{_bindir}/kwikdisk
%{_datadir}/applications/kde/*kdf.desktop
%{_datadir}/applications/kde/*kwikdisk.desktop
%{_datadir}/applications/kde/*kcmdf.desktop
%{_datadir}/apps/kdf
%{_datadir}/icons/*/*/*/kcmdf.png
%{_datadir}/icons/*/*/*/kdf.png
%{_datadir}/icons/*/*/*/kwikdisk.png
%{_libdir}/kde3/kcm_kdf*
%lang(en) %doc %{_docdir}/HTML/en/kdf
%lang(en) %doc %{_docdir}/HTML/en/kinfocenter/*

%files -n kedit
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/kedit.png
%{_datadir}/applications/kde/*KEdit.desktop
%{_datadir}/apps/kedit
%{_bindir}/kedit
%lang(en) %doc %{_docdir}/HTML/en/kedit

%files -n kfloppy
%defattr(-,root,root)
%{_bindir}/kfloppy
%{_datadir}/icons/*/*/*/kfloppy.png
%{_datadir}/applications/kde/*KFloppy.desktop
%lang(en) %doc %{_docdir}/HTML/en/kfloppy

%files -n khexedit
%defattr(-,root,root)
%{_bindir}/khexedit
%{_datadir}/apps/khexedit
%{_datadir}/icons/*/*/*/khexedit.png
%{_datadir}/applications/kde/*khexedit.desktop
%lang(en) %doc %{_docdir}/HTML/en/khexedit

%files -n kjots
%defattr(-,root,root)
%{_bindir}/kjots
%{_datadir}/icons/*/*/*/kjots.png
%{_datadir}/apps/kjots
%{_datadir}/applications/kde/*Kjots.desktop
%lang(en) %doc %{_docdir}/HTML/en/kjots

%files laptop
%defattr(-,root,root)
%{_bindir}/klaptop*
%{_datadir}/apps/klaptop*
%{_datadir}/icons/*/*/*/*laptop*.png
%{_datadir}/applications/kde/*pcmcia.desktop
%{_datadir}/applications/kde/*laptop.desktop
%{_libdir}/*laptop*
%{_libdir}/kde3/*laptop*
%lang(en) %doc %{_docdir}/HTML/en/kcontrol/*

%files -n kregexpeditor
%defattr(-,root,root)
%{_datadir}/apps/kregexpeditor
%{_datadir}/services/kregexpeditor*.desktop
%{_libdir}/kde3/libkregexpeditorgui*.*
%lang(en) %doc %{_docdir}/HTML/en/KRegExpEditor

%files -n ksim
%defattr(-,root,root}
%{_libdir}/kde3/ksim*
%{_libdir}/*ksim*
%{_datadir}/icons/*/*/*/ksim*
%{_datadir}/applications/kde/*ksim.desktop
%{_datadir}/apps/ksim
%lang(en) %doc %{_docdir}/HTML/en/ksim

%files -n ktimer
%defattr(-,root,root)
%{_bindir}/ktimer
%{_datadir}/applications/kde/*ktimer.desktop
%lang(en) %doc %{_docdir}/HTML/en/ktimer

%endif

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*


%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Apr 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-0.fdr.1
- ark patch (kde bug #79713)

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-0.fdr.0
- 3.2.2

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.0
- 3.2.1

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.1
- cosmetic rebuild

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.0
- 3.1.95

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.1
- (re)build on/for qt-3.2.x

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.0
- 3.1.3

* Fri Jul 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.1
- %%lang'ify HTML docs.

* Thu May 15 2003 Rex Dieter <rexdieter at users.sf.net> 6:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Thu Apr 17 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.1
- include previously unpackaged files.
- gut gccver(sioning).

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.4
- rebuild

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- use epochs in Obsoletes/Provides/Requires.

* Thu Feb 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- Add Obsoletes: kregexpeditor-devel < 3.1 due to bug in *that* package
  where it in advertantly Obsoletes: %{name}.  Oops.

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning.

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

